class UsersController < ApplicationController
 	before_filter :authenticate_user!, :except => [:new, :create]

  def show
    @user = User.find(params[:id])
  	@profile = @user.profile
  end

  def new
  	@user = User.new
  	@user.build_profile
  end

  def create
  	@user = User.new(params[:user])

  	if @user.save
  		redirect_to user_url(@user)
  	else
  		render :new
  	end
  end

  def index
    @users = User.all
  end

  def friends
    @user = User.find(params[:id])
    @profile = @user.profile
  end
end
