class Profile < ActiveRecord::Base
  attr_accessible :user_id, :gender, :current_location, :birthday, :job_title,
  								:employer, :school_name, :phone_number, :street_address,
  								:city, :zip_code, :biography, :avatar

  belongs_to :user, :inverse_of => :profile
  has_attached_file :avatar, :styles => { :medium => "300x300>", :thumb => "100x100>" }, :default_url => "/images/:style/missing.png"
end
